Apache ActiveMQ Core 5.3.0

org.apache.activemq
Added: 2010-08-04

Download:

Ivy:

<dependency org="org.apache.activemq" name="com.springsource.org.apache.activemq" rev="5.3.0" />

Maven:

<dependency> <groupId>org.apache.activemq</groupId> <artifactId>com.springsource.org.apache.activemq</artifactId> <version>5.3.0</version> </dependency>

MANIFEST.MF

Import-Bundle: com.springsource.org.apache.activemq;version="[5.3.0,5.3.0]"

Libraries (0)

No libraries contain this bundle

Exported Packages (81)

Imported Packages (50)

Package Name Version Range Optional?
com.thoughtworks.xstream [1.3.1, 2.0.0) true
com.thoughtworks.xstream.converters [1.3.1, 2.0.0) true
com.thoughtworks.xstream.io [1.3.1, 2.0.0) true
com.thoughtworks.xstream.io.json [1.3.1, 2.0.0) true
com.thoughtworks.xstream.io.xml [1.3.1, 2.0.0) true
javax.jms [1.1.0, 2.0.0) false
javax.management [0.0.0, infinity) false
javax.management.j2ee.statistics [1.0.0, 2.0.0] false
javax.management.openmbean [0.0.0, infinity) false
javax.management.remote [0.0.0, infinity) false
javax.naming [0.0.0, infinity) false
javax.naming.directory [0.0.0, infinity) false
javax.naming.event [0.0.0, infinity) false
javax.naming.spi [0.0.0, infinity) false
javax.net [0.0.0, infinity) false
javax.net.ssl [0.0.0, infinity) false
javax.security.auth [0.0.0, infinity) false
javax.security.auth.callback [0.0.0, infinity) false
javax.security.auth.login [0.0.0, infinity) false
javax.security.auth.spi [0.0.0, infinity) false
javax.sql [0.0.0, infinity) false
javax.transaction.xa [0.0.0, infinity) false
javax.xml.parsers [0.0.0, infinity) false
org.apache.activeio.journal [3.1.2, 4.0.0) true
org.apache.activeio.journal.active [3.1.2, 4.0.0) true
org.apache.activeio.packet [3.1.2, 4.0.0) true
org.apache.commons.logging [1.1.1, 2.0.0) false
org.apache.commons.net.ftp [2.0.0, 3.0.0) true
org.apache.derby.jdbc [10.1.3.1, 11.0.0) true
org.apache.kahadb.index [5.3.0, 5.3.0] false
org.apache.kahadb.journal [5.3.0, 5.3.0] false
org.apache.kahadb.page [5.3.0, 5.3.0] false
org.apache.kahadb.util [5.3.0, 5.3.0] false
org.apache.tools.ant [1.7.0, 2.0.0) true
org.apache.tools.ant.taskdefs [1.7.0, 2.0.0) true
org.apache.xbean.spring.context [3.6.0, 4.0.0] true
org.apache.xbean.spring.context.impl [3.6.0, 4.0.0] true
org.apache.xpath [2.6.0, 3.0.0) true
org.apache.xpath.objects [2.6.0, 3.0.0) true
org.codehaus.jam [0.1.0, 1.0.0) true
org.springframework.beans [2.5.6, 3.1.0) true
org.springframework.beans.factory [2.5.6, 3.1.0) true
org.springframework.beans.propertyeditors [2.5.6, 3.1.0) true
org.springframework.context [2.5.6, 3.1.0) true
org.springframework.core.io [2.5.6, 3.1.0) true
org.springframework.jndi [2.5.6, 3.1.0) true
org.springframework.util [2.5.6, 3.1.0) true
org.w3c.dom [0.0.0, infinity) false
org.w3c.dom.traversal [0.0.0, infinity) false
org.xml.sax [0.0.0, infinity) false